Subject: Re: [PATCH v15 0/9] Add Type-C DP support for RK3399 EVB IND board

From: Heiko Stuebner <[email-masked]>
Date: Wed, 20 May 2026 13:03:00 +0200

Hi,

Am Mittwoch, 20. Mai 2026, 03:13:25 Mitteleuropäische Sommerzeit schrieb Chaoyi Chen:
> Hello Heikki,
> 
> On 5/19/2026 9:43 PM, Heikki Krogerus wrote:
> > Hi,
> > 
> > On Wed, Mar 04, 2026 at 05:41:43PM +0800, Chaoyi Chen wrote:
> >> From: Chaoyi Chen <[email-masked]>
> >>
> >> This series focuses on adding Type-C DP support for USBDP PHY and DP
> >> driver. The USBDP PHY and DP will perceive the changes in cable status
> >> based on the USB PD and Type-C state machines provided by TCPM. Before
> >> this, the USBDP PHY and DP controller of RK3399 sensed cable state
> >> changes through extcon, and devices such as the RK3399 Gru-Chromebook
> >> rely on them. This series should not break them.
> > 
> > What's the status with this series?
> > Are these inteded to go via the DRM tree?
> > 
> > thanks,
> > 
> 
> Thank you very much for your continued attention to this series.
> The maintainers seem quite busy... Despite there being no further review
> comments, this series have yet to be merged into the DRM tree. 
> 
> And some of my other patches are in the same situation. 
> Do you happen to know what the next steps should be? Thank you.

For this series, I would think it'd be best to split it a bit.

- Make patches 1, 2, 5-7 its own series
  * patch 5 _should_ be included here, needs an Ack from the phy-maintainer
    to go through the drm-tree. It does look independent from the other
    phy changes (code changes themself), but needs the function from patch 2.

- Make patches 3+4 its own series, so that phy maintainers notice
  The code-changes themself seem independent of the rest
  * Reference the drm-series and explicity note that the phy-patch in it
    needs an Ack from the phy maintainer to through the drm-tree
    Hopefully helps to get that
  * patch 1 has a Reviewed-by from the type-c side, but needs someone
    knowing drm-bridge internals to agree

- Makes patches 8+9 its own series, reference both series from above
  as dependencies.

That would be my take here, to have the right maintainers notice they
should do something.

Heiko